import worms.facade.Facade;
import worms.facade.IFacade;
import worms.model.Team;
import worms.model.World;
import worms.model.Worm;
import worms.util.Coordinate;

import java.io.Console;

public class Main {
    private static final double EPS = 1e-4;
    private static boolean[][] passableMap = new boolean[][] { //
            { false, false, false, false }, //
            { true, true, true, true }, //
            { true, true, true, true }, //
            { false, false, false, false } };

    public static void main(String[] args) {

        IFacade facade = new Facade();
        World world = facade.createWorld(4.0, 4.0, passableMap);

        Worm worm = facade.createWorm(world, new double[] { 1, 1.5 }, Math.PI / 2, 0.5, "Test", null);
        System.out.println(world.isPassable(worm.getLocationArray(), worm.getRadius()));

    }
}
